diff --git a/spec/std/socket_spec.cr b/spec/std/socket_spec.cr
index 0caa51a..f21b3b3 100644
--- a/spec/std/socket_spec.cr
+++ b/spec/std/socket_spec.cr
@@ -537,13 +537,15 @@ describe TCPSocket do
     end
   end
 
-  it "fails when host doesn't exist" do
+  # gentoo's FEATURES=network-sandbox blocks DNS
+  pending "fails when host doesn't exist" do
     expect_raises(Socket::Error, /No address/i) do
       TCPSocket.new("doesnotexist.example.org.", 12345)
     end
   end
 
-  it "fails (rather than segfault on darwin) when host doesn't exist and port is 0" do
+  # gentoo's FEATURES=network-sandbox blocks DNS
+  pending "fails (rather than segfault on darwin) when host doesn't exist and port is 0" do
     expect_raises(Socket::Error, /No address/i) do
       TCPSocket.new("doesnotexist.example.org.", 0)
     end
@@ -634,7 +636,9 @@ describe UDPSocket do
     client.close
   end
 
-  it "broadcasts messages" do
+  # gentoo's FEATURES=network-sandbox blocks external network:
+  #   connect: Network is unreachable
+  pending "broadcasts messages" do
     port = free_udp_socket_port
 
     client = UDPSocket.new(Socket::Family::INET)
